org.omg.PortableInterceptor

## Interface IORInterceptor

- All Superinterfaces:
    IDLEntity, Interceptor, InterceptorOperations, IORInterceptorOperations, Object, Serializable
  All Known Subinterfaces:
    IORInterceptor_3_0

      public interface IORInterceptor
      extends IORInterceptorOperations, Interceptor, IDLEntity

  Interceptor used to establish tagged components in the profiles within an IOR.

  In some cases, a portable ORB service implementation may need to add information describing the server's or object's ORB service related capabilities to object references in order to enable the ORB service implementation in the client to function properly.

  This is supported through the `IORInterceptor` and `IORInfo` interfaces.

  See Also:
    `IORInfo`

- - ### Method Summary

    - ### Methods inherited from interface org.omg.PortableInterceptor.IORInterceptorOperations

      `establish_components`

    - ### Methods inherited from interface org.omg.PortableInterceptor.InterceptorOperations

      `destroy, name`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.